Public Date:
895631: CVE-2013-0172 samba4: may provide authenticated users with write access to LDAP directory objects when used as an AD DC

The MITRE CVE dictionary describes this issue as:

Samba 4.0.x before 4.0.1, in certain Active Directory domain-controller configurations, does not properly interpret Access Control Entries that are based on an objectClass, which allows remote authenticated users to bypass intended restrictions on modifying LDAP directory objects by leveraging (1) objectClass access by a user, (2) objectClass access by a group, or (3) write access to an attribute.

Find out more about CVE-2013-0172 from the MITRE CVE dictionary dictionary and NIST NVD.


Not vulnerable. This issue did not affect the versions of samba4 as shipped with Red Hat Enterprise Linux 6 as they did not include support for the Domain Controller components.

CVSS v2 metrics

NOTE: The following CVSS v2 metrics and score provided are preliminary and subject to review.

Base Score 3.8
Base Metrics AV:A/AC:M/Au:S/C:P/I:P/A:N
Access Vector Adjacent Network
Access Complexity Medium
Authentication Single
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None

Find out more about Red Hat support for the Common Vulnerability Scoring System (CVSS).

Affected Packages State

Platform Package State
Red Hat Enterprise Linux 6 samba4 Not affected